"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _lodash = require("lodash");

var _router = require("@reach/router");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _card = require("q3-ui/lib/card");

var _wrapper = _interopRequireDefault(require("q3-ui/lib/wrapper"));

var _Grid = _interopRequireDefault(require("@material-ui/core/Grid"));

var _Box = _interopRequireDefault(require("@material-ui/core/Box"));

var _Pagination = _interopRequireDefault(require("@material-ui/lab/Pagination"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const BlogArchiveTemplate = ({
  blogs,
  pageNum,
  total,
  dir
}) => /*#__PURE__*/_react.default.createElement(_wrapper.default, {
  backgroundColor: "transparent"
}, /*#__PURE__*/_react.default.createElement(_Grid.default, {
  container: true,
  spacing: 1
}, blogs.map(blog => /*#__PURE__*/_react.default.createElement(_card.News, {
  md: 3,
  title: blog.title,
  description: (0, _lodash.get)(blog, 'description.description'),
  imgSrc: (0, _lodash.get)(blog, 'image.fixed.src'),
  to: blog.to
}))), /*#__PURE__*/_react.default.createElement(_Box.default, {
  my: 2
}, dir && /*#__PURE__*/_react.default.createElement(_Pagination.default, {
  defaultPage: pageNum + 1,
  count: total,
  onChange: (e, num) => (0, _router.navigate)(`/${dir}/${num > 1 ? num : ''}`)
})));

BlogArchiveTemplate.propTypes = {
  blogs: _propTypes.default.arrayOf(_propTypes.default.shape({
    title: _propTypes.default.string,
    description: _propTypes.default.description
  })).isRequired,
  pageNum: _propTypes.default.number.isRequired,
  total: _propTypes.default.number.isRequired,
  dir: _propTypes.default.string.isRequired
};
var _default = BlogArchiveTemplate;
exports.default = _default;